﻿@model StarterProjectV2.ViewModels.TransactionHistoryList

@{
    ViewData["Title"] = "Transaction History Management";
    int boolIdx = 0;
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{

    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Transaction History Management
}
<body style=" background-color: oldlace">
<div class="card" style="margin-bottom: 0">
    <h2 class="text-center mt-3" style="color: indianred">@ViewData["Title"]</h2>
    <form class="form-inline mb-3 ml-3 d-flex justify-content-center">
        <input value="" id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-primary" type="button" onclick="search()">Search</button>
    </form>
    <div class="table-responsive-lg p-2" style="display:block" id="table">

        <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
            <thead style="color: white; background-color:#315152">

                <tr>

                    <th scope="col">SlotId</th>
                    <th scope="col">Sales Value</th>
                    <th scope="col">Sale Date</th>
                    <th scope="col">View</th>
                    <th scope="col">Edit</th>
                    <th scope="col">
                        Delete
                    </th>
                </tr>
            </thead>
            <tbody id="myTable">
                @{
                    int noOfdata = Model.TransactionHistories.Count();
                }
                @if (noOfdata != 0)
                {
                    foreach (var trn in Model.TransactionHistories)
                    {
                        <tr>
                            <td>@trn.SlotID</td>
                            <td>@trn.SalesValue</td>
                            <td>@trn.SaleDate.ToString("dd-MM-yyyy")</td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="View"
                                        onclick="location.href = '@Url.Action("TransactionHistoryView", "TransactionHistory", new { transactionHistoryId = trn.TransactionID })'">
                                    <i class="icon-eye">
                                    </i>
                                </button>
                            </td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="Edit"
                                        @*onclick="location.href = '@Url.Action("OwnersInfoView", "OwnersInfo", new {ownerId = own.OwenerId})'"*@>
                                    <i class="icon-notebook">
                                    </i>
                                </button>
                            </td>
                            <td>
                                <button type="submit"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="Delete" onclick="return confirm('Are you sure?')">
                                    <i class="icon-trash">
                                    </i>
                                </button>
                            </td>
                        </tr>
                    }
                }
            </tbody>
        </table>
    </div>
    <div class="table-responsive-lg" id="js-table">
        <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
    </div>
    <div class="text-center" id="message">

    </div>
    </body>
    @{
        int noOfTransactionHistories = Model.NoOfTransactionHistories;
    }
    @*<h3>@noOfOwnr</h3>*@
    @if (noOfTransactionHistories != 0)
    {

        <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

            <nav aria-label="Page navigation example">
                <ul class="pagination justify-content-center flex-wrap">
                    @{
                        int prev_idx = Model.index - 1;
                    }
                    <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                    <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfTransactionHistories)">« Previous</a></li>
                    @{
                        int idx = Model.index;
                        int next_idx = Model.index + 1;
                        int noOfTransactionHistory = Model.NoOfTransactionHistories;
                        if (idx <= 5)
                        {
                            for (int i = 1; i <= 10; i++)
                            {
                                <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                            }
                        }
                        else if (idx > 5 && idx <= (noOfTransactionHistory - 5))
                        {
                            for (int i = idx - 4; i <= idx + 5; i++)
                            {
                                <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                            }
                        }
                        else
                        {
                            for (int i = noOfTransactionHistory - 9; i <= noOfTransactionHistory; i++)
                            {
                                <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                            }

                        }
                    }
                    <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @noOfTransactionHistory)">Next »</a></li>
                    <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfTransactionHistories)">Last »</a></li>
                </ul>
            </nav>

        </div>

    }

    </div>
    <script>
        function viewfunction(transactionHistoryId) {
            window.location.href = "/TransactionHistory/TransactionHistoryView?transactionHistoryId=" + transactionHistoryId;
        }
    </script>

    <script>
        $("#" + @Model.index).addClass("active");
        var s2 = $("#searchfield").val();
        function search() {
            //alert("gdjsgajgd");
            var s = $("#searchfield").val();
            //alert(s);
            window.location.href = '../TransactionHistory/TransactionHistoryManagement?searchfield=' + s + '&index=1';
        }
        function previous(i, n) {
            if (i >= 1) {
                window.location.href = "../TransactionHistory/TransactionHistoryManagement?searchfield=" + s2 + "&index=" + i;
            }
        }
        function next(i, n) {
            if (i <= n) {
                window.location.href = "../TransactionHistory/TransactionHistoryManagement?searchfield=" + s2 + "&index=" + i;
            }
        }
        function paginationPureJS(i) {
            window.location.href = "../TransactionHistory/TransactionHistoryManagement?searchfield=" + s2 + "&index=" + i;
        }
    </script>
    
    <script>

        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
    <script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });


    $(document).ready(function() {
        $("#newItem").click(function() {
            document.location = '@Url.Action("ModuleCreate", "Module")';
        });
        $("#reportItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

        @*$("#reportItem").click(function() {
            document.location = '@Url.Action("ModuleReport", "Module")';
        });*@

        $("#dashboardItem").click(function() {

        });
    });
    </script>



